import os
import shutil
import re
import subprocess

import libcalamares


def run():
    install_path = libcalamares.globalstorage.value("rootMountPoint")

    luks_password = libcalamares.globalstorage.value("packagechooser_lukschange")

    if not luks_password:
        # Falls kein Passwort gesetzt ist, Fehler werfen
        return None

    # Beispiel: Übergabe des Passworts an ein Shell-Skript
    try:
        subprocess.run(
            ["/usr/share/tuxedo/oem/pwchange", luks_password],
            check=True
        )
    except subprocess.CalledProcessError as e:
        return (False, f"Error running script: {e}")

    return None